## xlwt 1.3.0

=== requirements.txt ===
# for testing
nose
nose_fixes
nose-cov
coveralls
tox
# for docs
sphinx
pkginfo
six
# for build
panci
setuptools-git
wheel
twine

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xlwt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xlwt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xlwt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xlwt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## xlwt 0.7.2+debian1

=== debian/changelog ===
xlwt (0.7.2+debian1-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:46:03 +0200

xlwt (0.7.2+debian1-1) unstable; urgency=low

  * Fix "unnecessary Depends", repacked source without antlr.py
    (Closes: #614501)
  * add debian/new-upstream script for repacking upstream source
  * change debian/watch to execute debian/new-upstream when using uscan
  * debian/rules:
    - add --with python2 to dh invocation
    - don't do repacking directly in get-orig-source rule
  * debian/control:
    - bump Standards-Version to 3.9.1 (no changes needed)
    - change XS-Python-Version to X-Python-Version
    - drop python-support dependency
    - bump python dependency to 2.6.5-1~
    - add Breaks: ${python:Breaks}
  * change debian/source/format to "3.0 (quilt)"
  * add debian/patches/fix_import_in_workbook.patch and
    debian/patches/series to fix an import issue in xlwt/Worksheet.py

 -- Jan Dittberner <jandd@debian.org>  Thu, 03 Mar 2011 23:34:30 +0100

xlwt (0.7.2-2) unstable; urgency=low

  * switch to dh7
  * debian/control:
    - Build-Depends: require debhelper (>= 7.0.50)
    - python-xlwt Depends: add ${misc:Depends}
    - update Standards-Version to 3.8.4 (no changes needed)
  * debian/rules:
    - simplify rules using dh7 features
  * debian/compat:
    - 5 -> 7
  * debian/copyright: explicitly link to GPL-2
  * add debian/python-xlwt.doc-base.python-xlwt-api and
    debian/python-xlwt.doc-base.python-xlwt-intro to register
    /usr/share/doc/python- xlwt/*.html with doc-base

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Feb 2010 19:17:43 +0100

xlwt (0.7.2-1) unstable; urgency=low

  * new upstream version
  * build for default Python version only
  * debian/control:
    - depend on python instead of python-all
    - change email address
    - update Standards-Version to 3.8.2 (no changes needed)
  * debian/rules:
    - use default python instead of building for all available versions
  * debian/copyright:
    - change email address

 -- Jan Dittberner <jandd@debian.org>  Fri, 24 Jul 2009 22:44:41 +0200

xlwt (0.7.1-1) unstable; urgency=low

  * new upstream version
  * debian/control:
    - improved description thanks to upstream author John Machin
    - update python-all-dev dependency to 2.4.5-1~
    - update Standards-Version to 3.8.1 (no changes needed)
  * debian/rules:
    - add --no-compile --install-layout=deb to setup.py call
    - use py_libdir from python.mk instead of hardcoded paths

 -- Jan Dittberner <jan@dittberner.info>  Fri, 27 Mar 2009 00:10:42 +0100

xlwt (0.7.0-3) unstable; urgency=low

  * debian/control: depend on separate python-antlr package instead of
    antlr (available in antlr-2.7.7-10)

 -- Jan Dittberner <jan@dittberner.info>  Fri, 16 Jan 2009 21:35:30 +0100

xlwt (0.7.0-2) unstable; urgency=low

  * remove examples from module installation directory

 -- Jan Dittberner <jan@dittberner.info>  Wed, 07 Jan 2009 22:30:42 +0100

xlwt (0.7.0-1) unstable; urgency=low

  * Initial release. (Closes: #510763)
  * debian/copyright:
    - add permission by John McNamara (author of Perl::WriteExcel)
  * remove antlr.py from upstream tarball and add dependency to antlr
    package

 -- Jan Dittberner <jan@dittberner.info>  Tue, 06 Jan 2009 08:48:17 +0100

=== debian/control ===
Source: xlwt
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.5.6-1~), python-setuptools (>= 0.6b3-1~)
Standards-Version: 3.9.1
Homepage: http://pypi.python.org/pypi/xlwt
Vcs-Svn: svn://svn.debian.org/python-modules/packages/xlwt/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/xlwt/trunk/
X-Python-Version: >= 2.3

Package: python-xlwt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-antlr
Breaks: ${python:Breaks}
Description: module for reading/writing Microsoft Excel spreadsheet files
 Xlwt is a Python module for generating .xls spreadsheet files compatible with
 Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. Excel spreadsheets
 can be generated on any platform without needing Excel or a COM server. The
 only requirement is Python 2.3 to 2.6. Xlwt is a fork of the unmaintained
 pyExcelerator.

## xlwt 0.7.4+debian1

=== debian/changelog ===
xlwt (0.7.4+debian1-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - bump Standards-Version to 3.9.3
    - remove X-Python-Version
    - add python-antlr to Build-Depends
  * Fix "cannot read Excel spreadsheet files" (Closes: #644347)
    - apply patch for long description clarifying the relationship to
      python-excelerator and python-xlrd (thanks to Jonathan Nieder)
    - add Suggests: python-xlrd

 -- Jan Dittberner <jandd@debian.org>  Thu, 17 May 2012 15:14:23 +0200

=== debian/control ===
Source: xlwt
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.5.6-1~), python-setuptools (>= 0.6b3-1~),
 python-antlr
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/xlwt
Vcs-Svn: svn://svn.debian.org/python-modules/packages/xlwt/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/xlwt/trunk/

Package: python-xlwt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-antlr
Suggests: python-xlrd
Breaks: ${python:Breaks}
Description: module for writing Microsoft Excel spreadsheet files
 This package provides a pure Python module for writing spreadsheet files
 readable by Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. Excel
 spreadsheets can be generated on any platform without needing Excel or a COM
 server.
 .
 Xlwt is a fork of the unmaintained pyExcelerator module with several
 bugfixes and enhancements. For the functionality previously provided by the
 parse_xls function, see the python-xlrd package.

## xlwt 0.7.5%2Bdebian1

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/python/python.mk
PYVERS=$(shell pyversions -vd)


%:
	dh --with python2 $@

override_dh_auto_clean:
	find . -name '*\.py[co]' -delete
	rm -rf build

override_dh_install:
	rm -r $(CURDIR)/debian/python-xlwt$(call py_libdir,$(PYVERS))/xlwt/examples
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs -i HISTORY.html

override_dh_compress:
	dh_compress -i -X.py

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*svn([^-]+).*,\1,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	if [ x$$REV = x ]; then \
	  uscan --force-download --rename --download-version=$$VER --destdir=.; \
	else \
	  svn -q export -r $$REV https://secure.simplistix.co.uk/svn/xlwt/trunk xlwt-r$$REV && \
	  rm -f xlw-r$$REV/xlwt/antlr.py && \
	  tar -zcf ./xlwt_$$VER.orig.tar.gz xlwt-r$$REV; \
	  rm -rf xlwt-r$$REV; \
	fi

.PHONY: get-orig-source

## xlwt 0.7.5+debian1

=== debian/changelog ===
xlwt (0.7.5+debian1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * New upstream version
  * use wrap-and-sort
  * bump Standards-Version to 3.9.5

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Feb 2014 22:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python (>= 2.5.6-1~), python-setuptools (>= 0.6b3-1~),
- python-antlr
-Standards-Version: 3.9.3
+Build-Depends-Indep: python (>= 2.5.6-1~),
+                     python-antlr,
+                     python-setuptools (>= 0.6b3-1~)
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/xlwt
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/xlwt/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/xlwt/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/xlwt/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/xlwt/trunk/
 
 Package: python-xlwt
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-antlr
+Depends: python-antlr, ${misc:Depends}, ${python:Depends}
 Suggests: python-xlrd
 Breaks: ${python:Breaks}
 Description: module for writing Microsoft Excel spreadsheet files

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian\d+$// \
 http://pypi.python.org/packages/source/x/xlwt/ xlwt-(.*)\.tar\.gz debian debian/new-upstream

## xlwt 1.3.0

=== debian/changelog ===
xlwt (1.3.0-7) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Convert to machine-readable format
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Aug 2025 08:53:20 +0200

xlwt (1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Set DPT as Uploader per new Team Policy.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 17:36:42 +0200

xlwt (1.3.0-5) unstable; urgency=medium

  * Team Upload
  * Remove old dependency on python3-six
  * Replace python3-nose with python3-pytest (Closes: #1018668)
  * Fix the doc-base location
  * Use the new dh-sequence-python3
  * Add debian/clean to allow builing twice in a row

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Jun 2024 00:00:24 +0200

xlwt (1.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-xlwt-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 22:06:23 -0400

xlwt (1.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938848

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Feb 2020 10:39:50 -0500

xlwt (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks+Replaces: python-xlwt (<< 1.3.0) for python-xlwt-doc
    (Closes: #894910)

 -- Sophie Brun <sophie@freexian.com>  Thu, 07 Jun 2018 17:32:38 +0200

xlwt (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast to minimize git diffs.
  * Add Python 3 support. Closes: #614502
  * Tests with nose.
  * Add a doc package and generate the doc using sphinx.
  * Generate the doc using sphinx.
  * Fixed dh sequencer call order.
  * Standards-Version is now 4.1.1.
  * Add patch to de-embbed antlr (rather than a +debian1 package). It's ok to
    do so as antlr.py is redistribuable.

  [ Sophie Brun ]
  * Drop debian/new-upstream generating a tarball without antlr
  * Drop useless debian/README.source and get-orig-source
  * Remove remove-embedded-antlr.patch. We can't use the python-antlr packages,
    we need to keep the antlr provided by upstream (see
    https://github.com/python-excel/xlwt/issues/73)
  * Add autopkgtest

  [ Raphaël Hertzog ]
  * Build-depends on python3-sphinx instead of python-sphinx as advised by
    lintian.
  * Bump Standards-Version to 4.1.3.
  * Switch to debhelper compat 11.
  * Ensure documentation is available in main doc directory of both packages.

 -- Sophie Brun <sophie@freexian.com>  Tue, 27 Mar 2018 14:06:28 +0200

=== debian/control ===
Source: xlwt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-pytest,
 python3-pkginfo,
Standards-Version: 4.7.2
Homepage: https://pypi.python.org/pypi/xlwt
Vcs-Git: https://salsa.debian.org/python-team/packages/xlwt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/xlwt
Testsuite: autopkgtest-pkg-python

Package: python3-xlwt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-xlrd,
 python-xlrt-doc,
Description: module for writing Microsoft Excel spreadsheet files - Python 3.x
 This package provides a pure Python module for writing spreadsheet files
 readable by Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. Excel
 spreadsheets can be generated on any platform without needing Excel or a COM
 server.
 .
 Xlwt is a fork of the unmaintained pyExcelerator module with several
 bugfixes and enhancements. For the functionality previously provided by the
 parse_xls function, see the python-xlrd package.
 .
 This package provides the Python 3.x module.

Package: python-xlwt-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: module for writing Microsoft Excel spreadsheet files - doc
 This package provides a pure Python module for writing spreadsheet files
 readable by Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. Excel
 spreadsheets can be generated on any platform without needing Excel or a COM
 server.
 .
 Xlwt is a fork of the unmaintained pyExcelerator module with several
 bugfixes and enhancements. For the functionality previously provided by the
 parse_xls function, see the python-xlrd package.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xlwt
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-xlwt-doc/usr/share/doc/python-xlwt-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -i -X.py

=== debian/watch ===
version=4
opts=dversionmangle=s/\+debian\d+$// \
 https://pypi.python.org/packages/source/x/xlwt/ xlwt-(.*)\.tar\.gz debian
